#include <myx/core/config.hpp>

#include <myx/filesystem/paths.hpp>

#include <QCoreApplication>
#include <QDebug>

//NOLINTNEXTLINE
#define CMLIB_PROJECT_NAME "myxlib"

namespace MF = myx::filesystem;


int main( int argc, char** argv )
{
	(void)argc;
	(void)argv;
	QCoreApplication::setApplicationName( QStringLiteral( CMLIB_PROJECT_NAME ) );
	MF::Paths& paths = MF::Paths::instance();

	paths.init();

	qDebug() << "prefixDirectory           : " << paths.projectDirectory();

	qDebug() << "executableName            : " << paths.executableName();
	qDebug() << "executableFilePath        : " << paths.executableFilePath();
	qDebug() << "executableDirectory       : " << paths.executableDirectory() << endl;

	qDebug() << "systemThemeDirectory      : " << paths.systemThemeDirectory();
	qDebug() << "systemConfigDirectory     : " << paths.systemConfigDirectory();
	qDebug() << "systemConstDataDirectory  : " << paths.systemConstDataDirectory();
	qDebug() << "systemVarDataDirectory    : " << paths.systemVarDataDirectory();
	qDebug() << "systemLogDirectory        : " << paths.systemLogDirectory() << endl;

	qDebug() << "userThemeDirectory        : " << paths.userThemeDirectory();
	qDebug() << "userConfigDirectory       : " << paths.userConfigDirectory();
	qDebug() << "userConstDataDirectory    : " << paths.userConstDataDirectory();
	qDebug() << "userVarDataDirectory      : " << paths.userVarDataDirectory();
	qDebug() << "userLogDirectory          : " << paths.userLogDirectory();

	return( 0 );
} // main
